#
# Enhydra Java Application Server Project
#
# The contents of this file are subject to the Enhydra Public License
# Version 1.1 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License on
# the Enhydra web site ( http://www.enhydra.org/ ).
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
# the License for the specific terms governing rights and limitations
# under the License.
#
# The Initial Developer of the Enhydra Application Server is Lutris
# Technologies, Inc. The Enhydra Application Server and portions created
# by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
# All Rights Reserved.
#
# Contributor(s):
#
# $Id: common.mk,v 1.1.1.1 2003/03/10 16:36:11 taweili Exp $
#

RUN_OBJECT = ${MODROOT}/../XMLC/src/tests/org/enhydra/xml/xmlc/run-object

include $(MODROOT)/config.mk
EDIT_PATHS = ${MODROOT}/../XMLC/edit-paths

# If using jikes, must turn off warnings or output will not match
# (warning are about missing jars on CLASSPATH).
ifneq ($(JIKES),)
    JIKES_FLAGS = -javacflag -nowarn
    XMLC_FLAGS += ${JIKES_FLAGS} -javac jikes
endif

SET_CLASSPATH = CLASSPATH="${ENHYDRA_CLASSPATH}" ; export CLASSPATH; set -x
