/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Original Code is DigitalSesame
 * Portions created by DigitalSesame are Copyright (C) 1997-2000 DigitalSesame
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: VoiceXMLRecordElementImpl.java,v 1.1.1.1 2003/03/10 16:36:08 taweili Exp $
 */

package org.enhydra.wireless.voicexml.dom.xerces;

public class VoiceXMLRecordElementImpl extends VoiceXMLElementImpl implements org.enhydra.wireless.voicexml.dom.VoiceXMLRecordElement {

    public VoiceXMLRecordElementImpl(VoiceXMLDocumentImpl owner, String namespaceURI, String qualifiedName) {
	super(owner, namespaceURI, qualifiedName);
    }

      public void setName(java.lang.String newValue) {
    setAttribute("name", newValue);
  }

  public String getName() {
    return getAttribute("name");
  }

  public void setBeep(boolean newValue) {
    setAttribute("beep", newValue);
  }

  public boolean getBeep() {
    return getBooleanAttribute("beep");
  }

  public void setFinalsilence(java.lang.String newValue) {
    setAttribute("finalsilence", newValue);
  }

  public String getFinalsilence() {
    return getAttribute("finalsilence");
  }

  public void setCond(java.lang.String newValue) {
    setAttribute("cond", newValue);
  }

  public String getCond() {
    return getAttribute("cond");
  }

  public void setType(java.lang.String newValue) {
    setAttribute("type", newValue);
  }

  public String getType() {
    return getAttribute("type");
  }

  public void setMaxtime(java.lang.String newValue) {
    setAttribute("maxtime", newValue);
  }

  public String getMaxtime() {
    return getAttribute("maxtime");
  }

  public void setDtmfterm(boolean newValue) {
    setAttribute("dtmfterm", newValue);
  }

  public boolean getDtmfterm() {
    return getBooleanAttribute("dtmfterm");
  }

  public void setExpr(java.lang.String newValue) {
    setAttribute("expr", newValue);
  }

  public String getExpr() {
    return getAttribute("expr");
  }

  public void setModal(boolean newValue) {
    setAttribute("modal", newValue);
  }

  public boolean getModal() {
    return getBooleanAttribute("modal", true);
  }

;
}


