/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Original Code is DigitalSesame
 * Portions created by DigitalSesame are Copyright (C) 1997-2000 DigitalSesame
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: Test.java,v 1.1.1.1 2003/03/10 16:36:11 taweili Exp $
 */

package tests.org.enhydra.xml.xhtml;

import org.enhydra.xml.io.*;

/**
 * Very simple test of XHTML and XMLC functionality.
 */
public class Test {
    public static void main(String args[]) throws Exception {
        test1XHTML test01 = new test1XHTML();
        
        OutputOptions oos = new OutputOptions();
        oos.setOmitEncoding(true);
        oos.setEncoding("ASCII");
        DOMFormatter domf = new DOMFormatter(oos);
        
        domf.write(test01, System.out);
    }
}
